package org.jtag.dialog;

//Titel:        JTag v2.4
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       Jochen Lll
//Organisation:      
//Beschreibung:  MP3 Tagger


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


//public class JTagCopyColumnFrame extends JFrame {
public class JTagCopyColumnDialog extends JDialog {
    public JLabel jLabel1 = new JLabel();
    public JLabel jLabel2 = new JLabel();
    public JComboBox source = new JComboBox();
    public JComboBox target = new JComboBox();
    public JRadioButton allButton = new JRadioButton();
    public JRadioButton selectionButton = new JRadioButton();
    public JButton okButton = new JButton();
    public JButton cancelButton = new JButton();
    public ButtonGroup radioGroup = new ButtonGroup();
    public JCheckBox onlyIfEmpty = new JCheckBox("Only if  target empty", true);

    public JTagCopyColumnDialog(String title, boolean modal, boolean resize) {

        setTitle(title);
        setModal(modal);
        setResizable(resize);

        this.getContentPane().setLayout(new GridLayout(0, 1));

        JPanel panel = new JPanel(false);

        panel.setLayout(new GridLayout(0, 2));

        jLabel1.setText("Source Column:");

        jLabel2.setText("Target Column:");

        allButton.setText("all");
        selectionButton.setText("selection");
    
        okButton.setText("Ok");
        cancelButton.setText("Cancel");
    
        // Add radio buttons to ButtonGroup
        radioGroup.add(allButton);
        radioGroup.add(selectionButton);

        panel.add(jLabel1);
        panel.add(source);
        panel.add(jLabel2);
        panel.add(target);
        //panel.add(new JLabel());
        panel.add(onlyIfEmpty);
        panel.add(allButton);
        panel.add(new JLabel());
        panel.add(selectionButton);
        panel.add(new JLabel());
        panel.add(new JLabel());
        panel.add(okButton);
        panel.add(cancelButton);

        this.getContentPane().add(panel);

    }

}
