package org.jtag.dialog;

import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.border.*;


public class JTagGenreList extends JDialog {
	
    public JList genreList;
	
    public JTagGenreList(String title, String borderTitle, boolean resize, JFrame owner) {

        super(owner, title, false);
        // setTitle(title);
        setResizable(resize);
      
        genreList = new JList();
        JScrollPane listScroller = new JScrollPane(genreList);
   	  
        JPanel contentPane = (JPanel) getContentPane();
      
        contentPane.add(listScroller);
   	
        // Create border
        CompoundBorder border = new CompoundBorder(
                new EmptyBorder(10, 10, 10, 10),
                new TitledBorder(new EtchedBorder(),
                    borderTitle));

        contentPane.setBorder(border);

        this.setSize(200, 200);
   	 
    }	
   	  
}
